| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
sttype-field.h File Reference
`#include "dfilter-int.h"`
`#include "drange.h"`

Go to the source code of this file.

## Functions
WS_DLL_PUBLIC header_field_info * | sttype_field_hfinfo (stnode_t *node)
| Retrieves the hfinfo for a given stnode.
ftenum_t | sttype_field_ftenum (stnode_t *node)
| Retrieves the ftenum_t for a given stnode.
drange_t * | sttype_field_drange (stnode_t *node)
| Retrieves the drange_t for a given stnode.
drange_t * | sttype_field_drange_steal (stnode_t *node)
| Steal the drange from a stnode_t.
bool | sttype_field_raw (stnode_t *node)
| Check if a field is in raw format.
bool | sttype_field_value_string (stnode_t *node)
| Get the value string of a field node.
void | sttype_field_set_range (stnode_t *node, GSList *drange_list)
| Set a range for a field node.
void | sttype_field_set_range1 (stnode_t *node, drange_node *rn)
| Set a range for a field node.
void | sttype_field_set_drange (stnode_t *node, drange_t *dr)
| Set the range for a field node.
void | sttype_field_set_raw (stnode_t *node, bool raw)
| Set whether a field is in raw mode.
void | sttype_field_set_value_string (stnode_t *node, bool is_vs)
| Set the value string for a field node.
char * | sttype_field_set_number (stnode_t *node, const char *number_str)
| Set the number value for a field node.
void | sttype_field_remove_drange (stnode_t *node)
| Remove a range from a field node.

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2001 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ sttype_field_drange()

drange_t * sttype_field_drange | ( | stnode_t * | node | ) |

Retrieves the drange_t for a given stnode.

Parameters

  node | The stnode to retrieve the drange_t from.

Returns
  drange_t* A pointer to the drange_t of the field.

## ◆ sttype_field_drange_steal()

drange_t * sttype_field_drange_steal | ( | stnode_t * | node | ) |

Steal the drange from a stnode_t.

Parameters

  node | The stnode_t from which to steal the drange.

Returns
  drange_t* A pointer to the stolen drange

## ◆ sttype_field_ftenum()

ftenum_t sttype_field_ftenum | ( | stnode_t * | node | ) |

Retrieves the ftenum_t for a given stnode.

Parameters

  node | The stnode to retrieve the ftenum_t from.

Returns
  ftenum_t The ftenum_t of the field.

## ◆ sttype_field_hfinfo()

WS_DLL_PUBLIC header_field_info * sttype_field_hfinfo | ( | stnode_t * | node | ) |

Retrieves the hfinfo for a given stnode.

Parameters

  node | The stnode to retrieve the hfinfo from.

Returns
  field_info_t* A pointer to the hfinfo.

## ◆ sttype_field_raw()

bool sttype_field_raw | ( | stnode_t * | node | ) |

Check if a field is in raw format.

Parameters

  node | The stnode_t containing the field data.

Returns
  true if the field is in raw format, false otherwise.

## ◆ sttype_field_remove_drange()

void sttype_field_remove_drange | ( | stnode_t * | node | ) |

Remove a range from a field node.

Parameters

  node | The field node to remove the range from.

## ◆ sttype_field_set_drange()

void sttype_field_set_drange | ( | stnode_t * | node,
|  | drange_t * | dr
| ) |  |

Set the range for a field node.

Parameters

  node | The field node to set the range for.
  dr | The range to set.

## ◆ sttype_field_set_number()

char * sttype_field_set_number | ( | stnode_t * | node,
|  | const char * | number_str
| ) |  |

Set the number value for a field node.

Parameters

  node | The field node to set the number value for.
  number_str | The string representation of the number to set.

## ◆ sttype_field_set_range()

void sttype_field_set_range | ( | stnode_t * | node,
|  | GSList * | drange_list
| ) |  |

Set a range for a field node.

Parameters

  node | The field node to set the range for.
  drange_list | A list of range nodes representing the new range.

## ◆ sttype_field_set_range1()

void sttype_field_set_range1 | ( | stnode_t * | node,
|  | drange_node * | rn
| ) |  |

Set a range for a field node.

Parameters

  node | The field node to set the range for.
  rn | The range node containing the range values.

## ◆ sttype_field_set_raw()

void sttype_field_set_raw | ( | stnode_t * | node,
|  | bool | raw
| ) |  |

Set whether a field is in raw mode.

Parameters

  node | The node containing the field to modify.
  raw | Whether the field should be in raw mode.

## ◆ sttype_field_set_value_string()

void sttype_field_set_value_string | ( | stnode_t * | node,
|  | bool | is_vs
| ) |  |

Set the value string for a field node.

Parameters

  node | The field node to set the value string for.
  is_vs | The boolean value indicating whether the value string should be set.

## ◆ sttype_field_value_string()

bool sttype_field_value_string | ( | stnode_t * | node | ) |

Get the value string of a field node.

Parameters

  node | The field node to get the value string from.

Returns
  const char* The value string of the field.